Package org.eclipse.gef.handles

# Class ConnectionEndpointHandle

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.gef.handles.AbstractHandle
org.eclipse.gef.handles.SquareHandle
org.eclipse.gef.handles.ConnectionHandle
org.eclipse.gef.handles.ConnectionEndpointHandle

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `org.eclipse.draw2d.AncestorListener`, `org.eclipse.draw2d.IFigure`, `Handle`

Direct Known Subclasses:
  `ConnectionEndHandle`, `ConnectionStartHandle`

public class ConnectionEndpointHandle extends ConnectionHandle
A handle used at the start or end of the `Connection`. A ConnectionEndpointHandle may be extended rather than using the final `ConnectionStartHandle` or `ConnectionEndHandle`

Since:
  3.4

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator, org.eclipse.draw2d.Figure.IdentitySearch, org.eclipse.draw2d.Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener

`org.eclipse.draw2d.AncestorListener.Stub`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

## Field Summary

### Fields inherited from class org.eclipse.gef.handles.SquareHandle

`DEFAULT_HANDLE_SIZE`

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`ConnectionEndpointHandle(int endPoint)`
Creates a new ConnectionStartHandle.
`ConnectionEndpointHandle(ConnectionEditPart owner, boolean fixed, int endPoint)`
Creates a new ConnectionStartHandle and sets its owner to `owner`.
`ConnectionEndpointHandle(ConnectionEditPart owner, int endPoint)`
Creates a new ConnectionStartHandle, sets its owner to `owner` , and sets its locator to a `ConnectionLocator`.

## Method Summary

Modifier and Type
Method
Description
`protected DragTracker`
`createDragTracker()`
Creates and returns a new `ConnectionEndpointTracker`.
`int`
`getEndPoint()`
Return the endpoint handle.

### Methods inherited from class org.eclipse.gef.handles.ConnectionHandle

`addNotify, getConnection, isFixed, propertyChange, removeNotify, setFixed`

### Methods inherited from class org.eclipse.gef.handles.SquareHandle

`getBorderColor, getFillColor, init, isPrimary, paintFigure`

### Methods inherited from class org.eclipse.gef.handles.AbstractHandle

`ancestorAdded, ancestorMoved, ancestorRemoved, getAccessibleLocation, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, setDragCursor, setDragTracker, setLocator, setOwner, validate`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, handleMouseWheelScrolled, hasFocus, internalGetEventDispatcher, internalGetLightweightSystem, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useDoublePrecision, useLocalCoordinates`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConnectionEndpointHandle

public ConnectionEndpointHandle(ConnectionEditPart owner, int endPoint)
Creates a new ConnectionStartHandle, sets its owner to `owner` , and sets its locator to a `ConnectionLocator`.

Parameters:
  `owner` - the ConnectionEditPart owner
  `endPoint` - one of `ConnectionLocator.SOURCE` or `ConnectionLocator.TARGET`.

### ConnectionEndpointHandle

public ConnectionEndpointHandle(ConnectionEditPart owner, boolean fixed, int endPoint)
Creates a new ConnectionStartHandle and sets its owner to `owner`. If the handle is fixed, it cannot be dragged.

Parameters:
  `owner` - the ConnectionEditPart owner
  `fixed` - if true, handle cannot be dragged.
  `endPoint` - one of `ConnectionLocator.SOURCE` or `ConnectionLocator.TARGET`.

### ConnectionEndpointHandle

public ConnectionEndpointHandle(int endPoint)
Creates a new ConnectionStartHandle.

Parameters:
  `endPoint` - one of `ConnectionLocator.SOURCE` or `ConnectionLocator.TARGET`.

## Method Details

### createDragTracker

protected DragTracker createDragTracker()
Creates and returns a new `ConnectionEndpointTracker`.

Specified by:
  `createDragTracker` in class `AbstractHandle`
Returns:
  the new ConnectionEndpointTracker

### getEndPoint

public int getEndPoint()
Return the endpoint handle.

Returns:
  the endPoint handle, which is is either `ConnectionLocator.SOURCE` or `ConnectionLocator.TARGET`.
Since:
  3.5